@import "src/theme/theme-variables";

.custom-select.ng-select-opened ::ng-deep {
  & .ng-select-container {
    border-color: theme-color("primary");
  }
}
.select-container {
  display: flex;
  flex-direction: column;
  position: relative;

  & h5 {
    margin: 0;
    margin: 10px;
    font-size: 1rem;
    font-family: $font-family-num;
    color: theme-color("primary");
  }

  &::ng-deep {
    .ng-select .ng-clear-wrapper {
      display: flex;
      justify-content: center;
      align-items: center;
    }

    ng-select.ng-invalid.ng-touched .ng-select-container {
      border-color: #ff4436;
      box-shadow: none;
      border-width: 2px;
    }

    .ng-select.ng-select-single .ng-select-container {
      height: 42px;
      margin: 0.25em 0;
    }

    .ng-select .ng-select-container {
      border: 1px solid rgba(0, 0, 0, 0.12);
    }
  }

  & .box-container {
    padding-bottom: 1.34375em;
  }

  &__select {
    font-size: 0.9rem;
    font-family: $font-family;
  }

  & mat-hint {
    font-family: $font-family;
  }

  & .hint {
    padding: 0 3px !important;
  }

  & input {
    font-size: 0.9rem;
    font-family: $font-family;
    height: 100%;
  }

  & label {
    font-family: $font-family-num;
    color: theme-color("primary");
    font-size: 0.9rem;
    font-weight: 400;
    & span.validation-star {
      color: red;
    }

    & span.chosen {
      color:theme-color(primary);
      font-size: 0.7rem;
    }
  }

  & span {
    font-size: 75%;
    color: #f44336;
    position: absolute;
    font-family: $font-family;
  }

  &__stars {
    display: flex;
    align-items: center;

    & label {
      margin-left: 10px;
    }
  }


}

.slide-in-top {
  -webkit-animation: slide-in-top 0.5s cubic-bezier(0.25, 0.46, 0.45, 0.94) both;
  animation: slide-in-top 0.5s cubic-bezier(0.25, 0.46, 0.45, 0.94) both;
}

@-webkit-keyframes slide-in-top {
  0% {
    -webkit-transform: translateY(-10px);
    transform: translateY(-10px);
    opacity: 0;
  }
  100% {
    -webkit-transform: translateY(0);
    transform: translateY(0);
    opacity: 1;
  }
}
@keyframes slide-in-top {
  0% {
    -webkit-transform: translateY(-10px);
    transform: translateY(-10px);
    opacity: 0;
  }
  100% {
    -webkit-transform: translateY(0);
    transform: translateY(0);
    opacity: 1;
  }
}

::ng-deep.ng-select.ng-select-multiple .ng-select-container .ng-value-container .ng-value{
display: none;
}
.multiple{
  color: #979797 !important;
  position: absolute;
  top: 30px;
  right: 10px;
  font-family: $font-family-num !important;
}
::ng-deep.ng-option-selected {
  background-color: rgba(57,180,53,0.17) !important;
  color:theme-color(primary) !important;
  position: relative;
  // content: "";
  // width: 30px;
  // background: url(./assets/checked.png);
  // height: 30px;
  // position: absolute;
  // left: 0;
span::after{
  position: absolute;
  left: 12px;
  top: 57%;
  height: 3px;
  width: 15px;
  background-color: #31b435;
  content: "";
  transform: translateX(10px) rotate(-47deg);
  transform-origin: left bottom;
}
}
::ng-deep.ng-option-selected {
  span::before{
    position: absolute;
    left: 10px;
    top: 49%;
    height: 8px;
    width: 3px;
    background-color: #31b435;
    content: "";
    transform: translateX(10px) rotate(-45deg);
    transform-origin: left bottom;
  }

}
